Package com.databricks.jdbc.model.client.thrift.generated

## Class TCLIService.AsyncProcessor.GetCatalogs<I extends TCLIService.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,​TCLIService.GetCatalogs_args,​TGetCatalogsResp>
  - - com.databricks.jdbc.model.client.thrift.generated.TCLIService.AsyncProcessor.GetCatalogs<I>

Enclosing class:
  TCLIService.AsyncProcessor<I extends TCLIService.AsyncIface>

    public static class TCLIService.AsyncProcessor.GetCatalogs<I extends TCLIService.AsyncIface>
    extends org.apache.thrift.AsyncProcessFunction<I,​TCLIService.GetCatalogs_args,​TGetCatalogsResp>

### Field Summary

Fields
`static JdbcLogger` `LOGGER`

### Constructor Summary

Constructors
`GetCatalogs()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TCLIService.GetCatalogs_args` `getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp>` `getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean` `isOneway()`
`void` `start​(I iface, TCLIService.GetCatalogs_args args, org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOGGER

    public static final JdbcLogger LOGGER

### Constructor Detail

#### GetCatalogs

    public GetCatalogs()

### Method Detail

#### getEmptyArgsInstance

    public TCLIService.GetCatalogs_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,​TCLIService.GetCatalogs_args,​TGetCatalogsResp>`

#### getResultHandler

    public org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                          int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,​TCLIService.GetCatalogs_args,​TGetCatalogsResp>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,​TCLIService.GetCatalogs_args,​TGetCatalogsResp>`

#### start

    public void start​(I iface,
                      TCLIService.GetCatalogs_args args,
                      org.apache.thrift.async.AsyncMethodCallback<TGetCatalogsResp> resultHandler)
               throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends TCLIService.AsyncIface,​TCLIService.GetCatalogs_args,​TGetCatalogsResp>`
Throws:
  `org.apache.thrift.TException`